# Interface methods for submodule: GenerateImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: GenerateImageSource
class GenerateImageSourceProxy(_ImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetUseReferenceImage(self, _arg: bool) -> None:
		""""""
		...

	def UseReferenceImageOn(self) -> None:
		""""""
		...

	def UseReferenceImageOff(self) -> None:
		""""""
		...

	def GetUseReferenceImage(self) -> bool:
		""""""
		...

	@overload
	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetSize(self, data) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, data) -> None:
		""""""
		...

	def GetSpacing(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, data) -> None:
		""""""
		...

	def GetOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetDirection(self, _arg) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

	def SetStartIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetStartIndex(self) -> Sequence[int]:
		""""""
		...

	def SetOutputParametersFromImage(self, image) -> None:
		""""""
		...

	def SetReferenceImage(self, _arg) -> None:
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

